commit:     004c7e911c854e42a5c5a978e1d9c10b00e6286b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 17 06:34:42 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jul 17 07:24:18 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=004c7e91

xfce-extra/thunar-vcs-plugin: Bump to 0.2.0

 xfce-extra/thunar-vcs-plugin/Manifest              |  1 +
 .../thunar-vcs-plugin-0.2.0.ebuild                 | 50 ++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/xfce-extra/thunar-vcs-plugin/Manifest 
b/xfce-extra/thunar-vcs-plugin/Manifest
index da364f691cb..c3f9a5580e9 100644
--- a/xfce-extra/thunar-vcs-plugin/Manifest
+++ b/xfce-extra/thunar-vcs-plugin/Manifest
@@ -1,2 +1,3 @@
 DIST thunar-vcs-plugin-0.1.5.tar.bz2 478866 BLAKE2B 
9bf2b060d88a4379f02c0e8af1829f4cf621e2590f7885f59d9af56d825c1d9d218c56c3b97420087b46eece0eb6c15146f6630569928c8523fa34bcfdbbcc22
 SHA512 
0315613fe97d5cb2fa9589af49bdb5074f20c83b52d5f7d4a151091839679b4617e8e0b20df85914b7bcef2464173dc1bd2bc182312364c7d5a94171aba28983
 DIST thunar-vcs-plugin-0.1.90.tar.bz2 537001 BLAKE2B 
0f2a77af75a33fe514892a1eb7f1df92be6e50d5c0aeae5f9350db648b10b868b3ff0421614ab7de681ff445d5a1f8ac9a5749e235c06cc3a039cd89b382fd7d
 SHA512 
6231bb863d9b884cd27f26e6cabbc3f8d3b39dc162f867932923408636bb96621bb60aa1bfa9b4637f5eed694e623cd911e855dde00d382b2a1bf36bb6b44e63
+DIST thunar-vcs-plugin-0.2.0.tar.bz2 546608 BLAKE2B 
ccd0d057e358b321b6287284c25ee03c4252f5e120fcba9272139ebf0739ee7363e619da12f86e725abc70d4834451ec112386ba2b008b038c03571d26349f51
 SHA512 
c33f54caa2f27de6c8f9e5cb8368f7538ea82730f1364ad974b19017a25bc6a398c19dfe861b0d0133db08ee36e4e209c8d824ce07de0c2ae6da830aca9e7e68

diff --git a/xfce-extra/thunar-vcs-plugin/thunar-vcs-plugin-0.2.0.ebuild 
b/xfce-extra/thunar-vcs-plugin/thunar-vcs-plugin-0.2.0.ebuild
new file mode 100644
index 00000000000..2dca6a666d5
--- /dev/null
+++ b/xfce-extra/thunar-vcs-plugin/thunar-vcs-plugin-0.2.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2-utils
+
+DESCRIPTION="Adds Subversion and GIT actions to the context menu of thunar"
+HOMEPAGE="https://goodies.xfce.org/projects/thunar-plugins/thunar-vcs-plugin";
+SRC_URI="https://archive.xfce.org/src/thunar-plugins/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+git +subversion"
+
+RDEPEND=">=dev-libs/glib-2.32:2=
+       >=x11-libs/gtk+-3.20:3=
+       >=xfce-base/exo-0.11.4:=
+       >=xfce-base/libxfce4util-4.12:=
+       >=xfce-base/thunar-1.7:=
+       git? ( dev-vcs/git )
+       subversion? (
+               >=dev-libs/apr-0.9.7:=
+               >=dev-vcs/subversion-1.5:=
+               )"
+DEPEND="${RDEPEND}
+       dev-util/intltool
+       virtual/pkgconfig"
+
+src_configure() {
+       local myconf=(
+               $(use_enable subversion)
+               $(use_enable git)
+       )
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to